BackendHTTP APIEnvironments
List environment API keys
Requires an Account API key with the account:environments:api_keys:list scope.
Response example
{
"data": [
{
"id": 456,
"uuid": "123e4567-e89b-12d3-a456-426614174001",
"display_name": "provisioned-ci",
"scopes": ["environment:*"],
"last_used_at": null,
"created_at": "2026-08-18T12:00:00.000Z"
}
]
}GET
Returns a list of Environment API keys in an environment.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
environmentUuid*stringEnvironment UUID that owns the keys.
Format
uuiddisplay_name?stringExact API-key display name to find.
Length
1 <= length <= 255Successfully listed Environment API keys
application/json- response
data*array<>curl -X GET 'https://api.tenklo.dev/environments/123e4567-e89b-12d3-a456-426614174000/api-keys?display_name=provisioned-ci'Example Response
{ "data": [ { "id": 0, "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "display_name": "string", "scopes": [ "string" ], "last_used_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ]}